(n)certainties – Columbia – Fall 2007

070924_M.Bearak_Sin

071006_mm.jpg 

Dim i
Dim IntUpper : IntUpper = 100
Dim arrMajorPoint()
Dim arrMinorPoint()
For i = 0 To IntUpper
ReDim Preserve arrMajorPoint(IntUpper)
ReDim Preserve arrMinorPoint(IntUpper)
arrMajorPoint(i) = Rhino.PointCoordinates (Rhino.AddPoint (array(i,0,0)))
arrMinorPoint(i) = Rhino.PointCoordinates (Rhino.AddPoint (array(i, sin(i), cos(i))))
If (Rhino.Distance(arrMajorPoint(i),arrMinorPoint(i)))<= 1.75 Then
Call Rhino.AddLine(arrMajorPoint(i),arrMinorPoint(i))
End If
Next
Call Rhino.AddCurve (arrMajorPoint)
Call Rhino.AddCylinder (arrMajorPoint(0), arrMajorpoint(IntUpper),.5)
Call Rhino.AddInterpCurve (arrMinorPoint)